<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="HavapeymaDataSet2" targetNamespace="http://tempuri.org/HavapeymaDataSet2.xsd" xmlns:mstns="http://tempuri.org/HavapeymaDataSet2.xsd" xmlns="http://tempuri.org/HavapeymaDataSet2.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="HavapeymaConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="HavapeymaConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Ajans.Properties.Settings.GlobalReference.Default.HavapeymaConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="MosaferTableAdapter" GeneratorDataComponentClassName="MosaferTableAdapter" Name="Mosafer" UserDataComponentName="MosaferTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="HavapeymaConnectionString (Settings)" DbObjectName="Havapeyma.dbo.Mosafer" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[Mosafer] WHERE (([CodeMosafer] = @Original_CodeMosafer) AND ((@IsNull_Name = 1 AND [Name] IS NULL) OR ([Name] = @Original_Name)) AND ((@IsNull_Family = 1 AND [Family] IS NULL) OR ([Family] = @Original_Family)) AND ((@IsNull_TelNumber = 1 AND [TelNumber] IS NULL) OR ([TelNumber] = @Original_TelNumber)) AND ((@IsNull_Age = 1 AND [Age] IS NULL) OR ([Age] = @Original_Age)) AND ((@IsNull_Sex = 1 AND [Sex] IS NULL) OR ([Sex] = @Original_Sex)) AND ((@IsNull_SHarekat = 1 AND [SHarekat] IS NULL) OR ([SHarekat] = @Original_SHarekat)) AND ((@IsNull_Tharekat = 1 AND [Tharekat] IS NULL) OR ([Tharekat] = @Original_Tharekat)) AND ((@IsNull_MablaghD = 1 AND [MablaghD] IS NULL) OR ([MablaghD] = @Original_MablaghD)) AND ((@IsNull_Mabda = 1 AND [Mabda] IS NULL) OR ([Mabda] = @Original_Mabda)) AND ((@IsNull_Maghsad = 1 AND [Maghsad] IS NULL) OR ([Maghsad] = @Original_Maghsad)) AND ((@IsNull_CodeHavapeyma = 1 AND [CodeHavapeyma] IS NULL) OR ([CodeHavapeyma] = @Original_CodeHavapeyma)) AND ((@IsNull_NSandali = 1 AND [NSandali] IS NULL) OR ([NSandali] = @Original_NSandali)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_CodeMosafer" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeMosafer" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Name" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Family" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Family" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Family" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Family" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TelNumber" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TelNumber" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_TelNumber" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TelNumber" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Age" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Age" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Age" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Age" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Sex" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Sex" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Sex" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Sex" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SHarekat" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SHarekat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_SHarekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="SHarekat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Tharekat" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Tharekat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Tharekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Tharekat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MablaghD" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MablaghD" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_MablaghD" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MablaghD" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Mabda" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Mabda" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Mabda" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Mabda" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Maghsad" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Maghsad" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Maghsad" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Maghsad" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodeHavapeyma" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodeHavapeyma" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_CodeHavapeyma" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeHavapeyma" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NSandali" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NSandali" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_NSandali" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="NSandali" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[Mosafer] ([CodeMosafer], [Name], [Family], [TelNumber], [Age], [Sex], [SHarekat], [Tharekat], [MablaghD], [Mabda], [Maghsad], [CodeHavapeyma], [NSandali]) VALUES (@CodeMosafer, @Name, @Family, @TelNumber, @Age, @Sex, @SHarekat, @Tharekat, @MablaghD, @Mabda, @Maghsad, @CodeHavapeyma, @NSandali);
SELECT CodeMosafer, Name, Family, TelNumber, Age, Sex, SHarekat, Tharekat, MablaghD, Mabda, Maghsad, CodeHavapeyma, NSandali FROM Mosafer WHERE (CodeMosafer = @CodeMosafer)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@CodeMosafer" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeMosafer" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Family" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Family" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@TelNumber" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TelNumber" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Age" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Age" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Sex" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Sex" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@SHarekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="SHarekat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Tharekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Tharekat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@MablaghD" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MablaghD" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Mabda" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Mabda" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Maghsad" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Maghsad" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@CodeHavapeyma" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeHavapeyma" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@NSandali" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="NSandali" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT CodeMosafer, Name, Family, TelNumber, Age, Sex, SHarekat, Tharekat, MablaghD, Mabda, Maghsad, CodeHavapeyma, NSandali FROM dbo.Mosafer</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[Mosafer] SET [CodeMosafer] = @CodeMosafer, [Name] = @Name, [Family] = @Family, [TelNumber] = @TelNumber, [Age] = @Age, [Sex] = @Sex, [SHarekat] = @SHarekat, [Tharekat] = @Tharekat, [MablaghD] = @MablaghD, [Mabda] = @Mabda, [Maghsad] = @Maghsad, [CodeHavapeyma] = @CodeHavapeyma, [NSandali] = @NSandali WHERE (([CodeMosafer] = @Original_CodeMosafer) AND ((@IsNull_Name = 1 AND [Name] IS NULL) OR ([Name] = @Original_Name)) AND ((@IsNull_Family = 1 AND [Family] IS NULL) OR ([Family] = @Original_Family)) AND ((@IsNull_TelNumber = 1 AND [TelNumber] IS NULL) OR ([TelNumber] = @Original_TelNumber)) AND ((@IsNull_Age = 1 AND [Age] IS NULL) OR ([Age] = @Original_Age)) AND ((@IsNull_Sex = 1 AND [Sex] IS NULL) OR ([Sex] = @Original_Sex)) AND ((@IsNull_SHarekat = 1 AND [SHarekat] IS NULL) OR ([SHarekat] = @Original_SHarekat)) AND ((@IsNull_Tharekat = 1 AND [Tharekat] IS NULL) OR ([Tharekat] = @Original_Tharekat)) AND ((@IsNull_MablaghD = 1 AND [MablaghD] IS NULL) OR ([MablaghD] = @Original_MablaghD)) AND ((@IsNull_Mabda = 1 AND [Mabda] IS NULL) OR ([Mabda] = @Original_Mabda)) AND ((@IsNull_Maghsad = 1 AND [Maghsad] IS NULL) OR ([Maghsad] = @Original_Maghsad)) AND ((@IsNull_CodeHavapeyma = 1 AND [CodeHavapeyma] IS NULL) OR ([CodeHavapeyma] = @Original_CodeHavapeyma)) AND ((@IsNull_NSandali = 1 AND [NSandali] IS NULL) OR ([NSandali] = @Original_NSandali)));
SELECT CodeMosafer, Name, Family, TelNumber, Age, Sex, SHarekat, Tharekat, MablaghD, Mabda, Maghsad, CodeHavapeyma, NSandali FROM Mosafer WHERE (CodeMosafer = @CodeMosafer)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@CodeMosafer" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeMosafer" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Family" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Family" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@TelNumber" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TelNumber" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Age" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Age" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Sex" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Sex" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@SHarekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="SHarekat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Tharekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Tharekat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@MablaghD" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MablaghD" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Mabda" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Mabda" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Maghsad" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Maghsad" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@CodeHavapeyma" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeHavapeyma" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@NSandali" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="NSandali" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_CodeMosafer" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeMosafer" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Name" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Family" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Family" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Family" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Family" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TelNumber" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TelNumber" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_TelNumber" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TelNumber" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Age" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Age" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Age" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Age" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Sex" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Sex" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Sex" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Sex" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SHarekat" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SHarekat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_SHarekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="SHarekat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Tharekat" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Tharekat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Tharekat" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Tharekat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MablaghD" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MablaghD" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_MablaghD" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MablaghD" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Mabda" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Mabda" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Mabda" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Mabda" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Maghsad" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Maghsad" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Maghsad" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Maghsad" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodeHavapeyma" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodeHavapeyma" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_CodeHavapeyma" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="CodeHavapeyma" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NSandali" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NSandali" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_NSandali" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="NSandali" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="CodeMosafer" DataSetColumn="CodeMosafer" />
              <Mapping SourceColumn="Name" DataSetColumn="Name" />
              <Mapping SourceColumn="Family" DataSetColumn="Family" />
              <Mapping SourceColumn="TelNumber" DataSetColumn="TelNumber" />
              <Mapping SourceColumn="Age" DataSetColumn="Age" />
              <Mapping SourceColumn="Sex" DataSetColumn="Sex" />
              <Mapping SourceColumn="SHarekat" DataSetColumn="SHarekat" />
              <Mapping SourceColumn="Tharekat" DataSetColumn="Tharekat" />
              <Mapping SourceColumn="MablaghD" DataSetColumn="MablaghD" />
              <Mapping SourceColumn="Mabda" DataSetColumn="Mabda" />
              <Mapping SourceColumn="Maghsad" DataSetColumn="Maghsad" />
              <Mapping SourceColumn="CodeHavapeyma" DataSetColumn="CodeHavapeyma" />
              <Mapping SourceColumn="NSandali" DataSetColumn="NSandali" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="HavapeymaDataSet2" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_DataSetName="HavapeymaDataSet2" msprop:Generator_UserDSName="HavapeymaDataSet2" msprop:EnableTableAdapterManager="True">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Mosafer" msprop:Generator_UserTableName="Mosafer" msprop:Generator_RowDeletedName="MosaferRowDeleted" msprop:Generator_TableClassName="MosaferDataTable" msprop:Generator_RowChangedName="MosaferRowChanged" msprop:Generator_RowClassName="MosaferRow" msprop:Generator_RowChangingName="MosaferRowChanging" msprop:Generator_RowEvArgName="MosaferRowChangeEvent" msprop:Generator_RowEvHandlerName="MosaferRowChangeEventHandler" msprop:Generator_TablePropName="Mosafer" msprop:Generator_TableVarName="tableMosafer" msprop:Generator_RowDeletingName="MosaferRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="CodeMosafer" msprop:Generator_UserColumnName="CodeMosafer" msprop:Generator_ColumnPropNameInRow="CodeMosafer" msprop:Generator_ColumnVarNameInTable="columnCodeMosafer" msprop:Generator_ColumnPropNameInTable="CodeMosaferColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Name" msprop:Generator_UserColumnName="Name" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInTable="NameColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Family" msprop:Generator_UserColumnName="Family" msprop:Generator_ColumnPropNameInRow="Family" msprop:Generator_ColumnVarNameInTable="columnFamily" msprop:Generator_ColumnPropNameInTable="FamilyColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TelNumber" msprop:Generator_UserColumnName="TelNumber" msprop:Generator_ColumnPropNameInRow="TelNumber" msprop:Generator_ColumnVarNameInTable="columnTelNumber" msprop:Generator_ColumnPropNameInTable="TelNumberColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Age" msprop:Generator_UserColumnName="Age" msprop:Generator_ColumnPropNameInRow="Age" msprop:Generator_ColumnVarNameInTable="columnAge" msprop:Generator_ColumnPropNameInTable="AgeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Sex" msprop:Generator_UserColumnName="Sex" msprop:Generator_ColumnPropNameInRow="Sex" msprop:Generator_ColumnVarNameInTable="columnSex" msprop:Generator_ColumnPropNameInTable="SexColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SHarekat" msprop:Generator_UserColumnName="SHarekat" msprop:Generator_ColumnPropNameInRow="SHarekat" msprop:Generator_ColumnVarNameInTable="columnSHarekat" msprop:Generator_ColumnPropNameInTable="SHarekatColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Tharekat" msprop:Generator_UserColumnName="Tharekat" msprop:Generator_ColumnPropNameInRow="Tharekat" msprop:Generator_ColumnVarNameInTable="columnTharekat" msprop:Generator_ColumnPropNameInTable="TharekatColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MablaghD" msprop:Generator_UserColumnName="MablaghD" msprop:Generator_ColumnPropNameInRow="MablaghD" msprop:Generator_ColumnVarNameInTable="columnMablaghD" msprop:Generator_ColumnPropNameInTable="MablaghDColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Mabda" msprop:Generator_UserColumnName="Mabda" msprop:Generator_ColumnPropNameInRow="Mabda" msprop:Generator_ColumnVarNameInTable="columnMabda" msprop:Generator_ColumnPropNameInTable="MabdaColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Maghsad" msprop:Generator_UserColumnName="Maghsad" msprop:Generator_ColumnPropNameInRow="Maghsad" msprop:Generator_ColumnVarNameInTable="columnMaghsad" msprop:Generator_ColumnPropNameInTable="MaghsadColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CodeHavapeyma" msprop:Generator_UserColumnName="CodeHavapeyma" msprop:Generator_ColumnPropNameInRow="CodeHavapeyma" msprop:Generator_ColumnVarNameInTable="columnCodeHavapeyma" msprop:Generator_ColumnPropNameInTable="CodeHavapeymaColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NSandali" msprop:Generator_UserColumnName="NSandali" msprop:Generator_ColumnPropNameInRow="NSandali" msprop:Generator_ColumnVarNameInTable="columnNSandali" msprop:Generator_ColumnPropNameInTable="NSandaliColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Mosafer" />
      <xs:field xpath="mstns:CodeMosafer" />
    </xs:unique>
  </xs:element>
</xs:schema>